Summary:	A universal control panel for all Video for Linux Two devices
Name:		v4l2ucp
Version:	2.0.2
Release:	%mkrel 3
License:	GPLv2+
Group:		System/Kernel and hardware
Url:		http://v4l2ucp.sourceforge.net/
Source0:	http://downloads.sourceforge.net/project/v4l2ucp/v4l2ucp/2.0/%{name}-%{version}.tar.bz2
Patch0:		v4l2ucp-2.0.2-kernel-2.6.38.patch
BuildRequires:	cmake
BuildRequires:	libv4l-devel >= 0.8.3
BuildRequires:	qt4-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
It reads a description of the controls that the V4L2 device 
supports from the device, and presents the user with a graphical 
means for adjusting those controls. It allows for controlling 
multiple devices. Controls can be updated with the device status 
either manually, or periodically. There is an easy way to reset 
one or all the controls to their default state

%prep
%setup -q %{name}-%{version}
%patch0 -p0 -b .kernel

%build
%cmake
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall_std -C build

%find_lang %{name}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README TODO
%{_bindir}/v4l2*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/*.png


%changelog
* Fri Apr 01 2011 Funda Wang <fwang@mandriva.org> 2.0.2-3mdv2011.0
+ Revision: 649596
- fix build with latest kernel

* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 2.0.2-2mdv2011.0
+ Revision: 615383
- the mass rebuild of 2010.1 packages

* Tue Mar 09 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 2.0.2-1mdv2010.1
+ Revision: 517196
- import v4l2ucp


